### Method

# EDataServer SourceRegistry debug_dump

since: 3.6

#### Declaration [src]

    void
    e_source_registry_debug_dump (
      ESourceRegistry* registry,
      const gchar* extension_name
    )

#### Description [src]

Handy debugging function that uses `e_source_registry_build_display_tree()` to print a tree of registered sources to standard output.

Available since: 3.6

#### Parameters

`extension_name`

  Type: `const gchar*`

  An extension name, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.